NROFF(1)

NAME
nroff - format documents for display or line-printer

SYNOPSIS

nroff [-ehiqzV] [-daS] [-da=S] [-Ffontdir] [-mname] [-nN] [-olist] [-raN] [-ra=N] [-sN] [-Tname] [-uN] [-xN]

DESCRIPTION
nroff formats text in the named files for typewriter-like devices. Its capabilities are described in the Nroff/Troff user's manual.

If no file argument is present, the standard input is read. An argument consisting of a single minus (-) is taken to be a file name corresponding to the standard input. The options, which may appear in any order so long as they appear before the files, are:

-olist
    Print only pages whose page numbers appear in the comma-separated list of numbers and ranges. A range N-M means pages N through M; an initial -N means from the beginning to page N; and a final N- means from N to the end.

-nN Number first generated page N.

-sN Stop every N pages. Nroff will halt prior to every N pages (default N=1) to allow paper loading or changing, and will resume upon receipt of a newline.

-mname
    Prepend the macro file /pobj/heirloom-doctools-191015/fake-mips64/usr/local/share/heirloom-doctools/tmac/tmac.name to the input files.

-raN
    Set register a (one-character) to N.

-ra=N
    Set register a (may be more than one character) to N.

-daN
    Define string a (one-character) to S.

-da=N
    Define string a (may be more than one character) to S.

-i  Read standard input after the input files are exhausted.

-q  Invoke the simultaneous input-output mode of the rd request.

-z  Check syntax only; do not generate any output except for error messages.

-Ffontdir
    Use the directory fontdir to locate font files.

-u N
    Set the emboldening amount, i.e. the number of times a character is printed to simulate bold output, to N.

-Tname
    Prepare output for specified terminal. Known names are 37 for the (default) Teletype Corporation Model 37 terminal, lp for any line printer or terminal without half-line capability, tn300 for the GE TermiNet 300, 300S for the DASI-300S, 300 for the DASI-300, and 450 for the DASI-450 (Diablo Hyterm). A special name, locale, is also supported. It generates UTF-8 output if permitted by the current locale, and has the same effect as lp otherwise.

-e  Produce equally-spaced words in adjusted lines, using full terminal resolution.

-h  Use output tabs during horizontal spacing to speed output and reduce output character count. Tab settings are assumed to be every 8 nominal character widths.

-xN Enable extensions to previous versions of nroff at level N. Level 0 disables any extensions; level 1 enables all extensions except for long requests and request arguments; level 2 enables these in addition but executes short requests which are prefixes of undefined long requests; level 3 ignores undefined long requests.

-V  Print nroff version.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_CTYPE
    Determines the mapping of bytes to characters, and the choice of output characters with the -Tlocale option.

TYPESETTER
    Specifies a device name as with the -T option.

TROFFMACS
    Specifies the location to search for macro files with the -m option. This string forms a prefix to which the macro package name is immediately appended. Thus to make `-mname' work with a file `/path/to/tmac.name', use `TROFFMACS=/path/to/tmac.'

FILES
/tmp/ta*    temporary file
/pobj/heirloom-doctools-191015/fake-mips64/usr/local/share/heirloom-doctools/tmac/*    standard macro files
/pobj/heirloom-doctools-191015/fake-mips64/usr/local/share/heirloom-doctools/nterm/*    terminal driving tables

SEE ALSO
J. F. Ossanna, Nroff/Troff user's manual
B. W. Kernighan, A TROFF Tutorial
eqn(1), tbl(1)
col(1)